View Single Post
Old 08-11-02, 12:31 PM   #17
Big Booger
Guest
 
Posts: n/a
Default

One other thing,
I ran one of the screensavers in the terminal and it generated this error:
Couldn't open the required GL library /usr/X11R6/lib/libGL.so.1.2
Segmentation fautl (core dumped)

Might I need to replace that file?
Is there an easy way to do it?
BB

NEVERMIND.
Figured this one out for myself. It seems this file got renamed during the RPM installation. THEre was a xxx.libGL.so.1.2.RPMSAVE file, so I renamed it to the original name, backing up the file before doing so.
WOrks absolutely fantastic.
So if any of you are having issues with OPENGL screensavers or games, and you are using the RPM install, try this(mandrake only I think):

Open up the terminal and type:
kpipes.kss
If you get an error saying :
Couldn't open the required GL library /usr/X11R6/lib/libGL.so.1.2
Segmentation fautl (core dumped)

You need to head over to that directory,
/usr/X11R6/lib/

find this file, if you have it:
xxx.libGL.so.1.2.RPMSAVE file and rename it to
libGL.so.1.2
Then try the terminal :
kpipes.kss

Works absolutely flawlessly for me.

BB
  Reply With Quote